function header_js(str,strlength){
	mui.init({
				swipeBack: false,
				statusBarBackground: '#f7f7f7',
				gestureConfig:{
					doubletap:true
				},
				subpages: [{
					id: str+'.html',
					url: str+'.html',
					styles: {
						top: strlength+'px',
						bottom: 0,
						bounce: 'vertical'
					}
				}]
				
			});
}


/**
 * 打开页面
 * @param {Object} id
 */
function open_tap(id){
    mui('#'+id).on('tap', 'a', function (e) {
        var href = this.getAttribute('href');//打开哪个页面肯定要指定
        var title = this.getAttribute('title');//打开标题多少肯定要指定
        if (!title) {
            return false;
        }
        var catid = this.getAttribute('catid');//课文类型，不需要用到的可以为空
        var typeid = this.getAttribute('typeid');//可选，在footer中可能需要
        var jibie = this.getAttribute('jibie');//可选，不需要用到的可以为空
        var nianji = this.getAttribute('nianji');//可选，不需要用到的可以为空
        var shuce = this.getAttribute('shuce');//可选，不需要用到的可以为空
        var banben = this.getAttribute('banben');//可选，不需要用到的可以为空
        var kewen_id = this.getAttribute('kewen_id');//可选，不需要用到的可以为空
        var autoid = this.getAttribute('autoid');//内容页必选，其他可选
        var tablename = this.getAttribute('tablename');//内容页必选，其他可选
        var downfile = this.getAttribute('downfile');//下载链接仅在课件下载中用到
        var about_wangzhi = this.getAttribute('about_wangzhi');//仅仅在

        var datakkobject = {
            href: href,
            nianji: nianji,
            title: title,
            shuce: shuce,
            banben: banben,
            kewen_id:kewen_id,
            typeid:typeid,
            catid:catid,
            autoid:autoid,
            tablename:tablename,
            downfile:downfile,
            about_wangzhi:about_wangzhi,
            jibie:jibie
        }

        //跳页面
        mui.openWindow({
            id: href + '?' + typeid+nianji+shuce+banben+kewen_id+catid+autoid+tablename+about_wangzhi+jibie,
            url: href,
            styles: {
                popGesture: 'close'
            },
            waiting: {
                autoShow: false
            },
            extras: datakkobject
        });
    })
}

function GetRequest(url) {
    var theRequest = new Object();
    if (url.indexOf("?") != -1) {
        var str = url.substr(1);
        strs = str.split("&");
        for(var i = 0; i < strs.length; i ++) {
            //alert(strs[i].split("=")[0]);
            //alert(strs[i].split("=")[1]);
            theRequest[strs[i].split("=")[0]]=(strs[i].split("=")[1]);
        }
    }
    return theRequest;
}
function LayerMsg(message, time) {
    if (!time) {
        time = 500;
    }
    layer.open({
        content: message,
        time: time
    });
}
function openBrowser(file_url) {
    plus.runtime.openURL( file_url );
}

function Jumphtml(html) {

    var myDate = new Date();
    html = html + "?time=" + myDate.getTime();
    mui.openWindow({
        url: html,
        id: html,
        show:{
            autoShow:true,//页面loaded事件发生后自动显示，默认为true
            aniShow:"slide-in-right",//页面显示动画，默认为”slide-in-right“；
            duration:500//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        }
    });

}